Get dataset version
curl --request GET \
--url https://acusight.io/api/data/datasets/versions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://acusight.io/api/data/datasets/versions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acusight.io/api/data/datasets/versions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/datasets/versions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/datasets/versions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acusight.io/api/data/datasets/versions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/datasets/versions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"batch_count": 123,
"class_count": 123,
"created_at": "<string>",
"id": 123,
"name": "<string>",
"pipeline_config": {
"augmentation": [
{
"config": [
123
],
"id": "<string>",
"kind": "autoOrient"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [
123
],
"id": "<string>",
"kind": "autoOrient"
}
]
},
"project_id": 123,
"test_count": 123,
"total_images": 123,
"train_count": 123,
"updated_at": "<string>",
"val_count": 123,
"version": 123,
"version_batches": [
{
"id": 123,
"image_count": 123,
"images": [
{
"annotations": [
{
"geometry": [
123
],
"height": 123,
"id": 123,
"type": "<string>",
"version_class_value": "<string>",
"width": 123,
"x_center": 123,
"y_center": 123
}
],
"filename": "<string>",
"height": 123,
"id": 123,
"image_url": "<string>",
"original_image_id": 123,
"split": "<string>",
"width": 123
}
],
"name": "<string>",
"original_batch_id": 123
}
],
"version_classes": [
{
"color": "<string>",
"id": 123,
"name": "<string>",
"original_class_id": 123,
"raw_value": "<string>"
}
]
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Datasets & data
Get dataset version
Retrieves dataset version details including batches, classes, preview images, and split statistics.
GET
/
data
/
datasets
/
versions
/
{id}
Get dataset version
curl --request GET \
--url https://acusight.io/api/data/datasets/versions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://acusight.io/api/data/datasets/versions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acusight.io/api/data/datasets/versions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/datasets/versions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/datasets/versions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acusight.io/api/data/datasets/versions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/datasets/versions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"batch_count": 123,
"class_count": 123,
"created_at": "<string>",
"id": 123,
"name": "<string>",
"pipeline_config": {
"augmentation": [
{
"config": [
123
],
"id": "<string>",
"kind": "autoOrient"
}
],
"augmentation_multiplier": 123,
"augmentation_seed": 123,
"config_version": 123,
"metadata": {},
"preprocessing": [
{
"config": [
123
],
"id": "<string>",
"kind": "autoOrient"
}
]
},
"project_id": 123,
"test_count": 123,
"total_images": 123,
"train_count": 123,
"updated_at": "<string>",
"val_count": 123,
"version": 123,
"version_batches": [
{
"id": 123,
"image_count": 123,
"images": [
{
"annotations": [
{
"geometry": [
123
],
"height": 123,
"id": 123,
"type": "<string>",
"version_class_value": "<string>",
"width": 123,
"x_center": 123,
"y_center": 123
}
],
"filename": "<string>",
"height": 123,
"id": 123,
"image_url": "<string>",
"original_image_id": 123,
"split": "<string>",
"width": 123
}
],
"name": "<string>",
"original_batch_id": 123
}
],
"version_classes": [
{
"color": "<string>",
"id": 123,
"name": "<string>",
"original_class_id": 123,
"raw_value": "<string>"
}
]
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Dataset version ID
Was this page helpful?